
QGIS Application - Bug report #13520

multiple Feature Attributes forms can be opened for the same feature when Identified

2015-10-05 09:55 AM - Steven Mizuno

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21564

Description

Multiple Feature Attributes forms can be opened for the same feature when "Auto open form" is checked and you click multiple times on

one feature or if you do View feature form multiple times on an item in Identify Results. This can be confusing when many such forms are

opened, and it can lead to loss of data when editing a layer.

Examples: which form for a given feature was changed? or make changes in different forms of a given feature -- which one wins?.

As the form windows are top-level windows they may be obscured by the QGIS main window which can be even more confusing. There is

a clue that forms are still open as the highlight is drawn one for each form. And the windows are shown in the task bar as well.

I believe the Features Attributes form should be application modal, or at the very least, create only one window per feature and then put

focus on that window on subsequent clicking on a feature.

This is somewhat related to #13465

Related issues:

Related to QGIS Application - Feature request # 13465: Identify Results panel... Open 2015-09-30

Associated revisions

Revision 7b8fb793 - 2017-04-20 09:34 PM - Jürgen Fischer

avoid opening multiple attribute forms for a single feature in identify

(fixes #13520)

On behalf of Faunalia, sponsored by ENEL

Revision 20197c2f - 2017-04-20 09:35 PM - Jürgen Fischer

avoid opening multiple attribute forms for a single feature in identify

(fixes #13520)

On behalf of Faunalia, sponsored by ENEL

(cherry picked from commit 7b8fb793cf63483477b8af1670541aca033e8ab9)

Revision 6dfcf402 - 2017-06-30 10:32 AM - Jürgen Fischer

fix 20197c2fa (refs #13520)

2024-03-20 1/2



Revision 392b638e - 2017-06-30 10:33 AM - Jürgen Fischer

fix 20197c2fa (refs #13520)

(cherry picked from commit 6dfcf402278ea271cbbe960758937c9b98616db9)

History

#1 - 2015-10-11 09:54 AM - Anita Graser

-1 for modal because it's unnecessarily restrictive

+1 for only one window per feature

#2 - 2015-10-19 03:29 AM - Harrissou Santanna

Anita Graser wrote:

-1 for modal because it's unnecessarily restrictive

+1 for only one window per feature

Totally agree (no modal and only one form)!

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#4 - 2016-05-23 01:10 PM - Giovanni Manghi

- Priority changed from High to Normal

#5 - 2017-04-20 12:30 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"20197c2fa31e454b095be6b68771274ec5540c39".

#6 - 2017-08-14 03:45 PM - Jürgen Fischer

- Related to Feature request #13465: Identify Results panel : clicking on "Clear results" should close all feature attribute's form added
